maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ralph Pöllath <li...@poellath.org>
Subject Re: Defaults for compiler plugin
Date Sun, 03 Sep 2006 16:00:45 GMT
On 03.09.2006, at 17:27, Douglas Ferguson wrote:
> What are the default values for source & target version for the  
> compiler?

The compiler plugin's default values are probably the default values  
of the compiler you're using.

> Anybody know if this would work?
>
> <source>1.5</source.
> <target>1.2</target>
>
> Would this allow me to use generics but run in websphere which  
> isn't compatible with 1.5 code?

Assuming you're using javac, -source 1.5 -target 1.2 won't work. To  
transform 1.5 byte code into 1.4 byte code, you might want to have a  
look at http://retroweaver.sf.net (anyone know of a maven plugin for  
retroweaver?).

Cheers,
-Ralph.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message